<?php

/* These are functions specific to these options settings and this theme */

/*-----------------------------------------------------------------------------------*/
/* Theme Header Output - wp_head() */
/*-----------------------------------------------------------------------------------*/

// This sets up the layouts and styles selected from the options panel

if (!function_exists('optionsframework_wp_head')) {
	function optionsframework_wp_head() { 

		// This prints out the custom css and specific styling options
		of_options_output_css();
	}
}
add_action('wp_head', 'optionsframework_wp_head');

/*-----------------------------------------------------------------------------------*/
/* Theme Footer Output - wp_footer() */
/*-----------------------------------------------------------------------------------*/

// This sets up the JS options selected from the options panel

if (!function_exists('optionsframework_wp_footer')) {
	function optionsframework_wp_footer() { 

		// This prints out the custom JS settings and options
		of_options_output_js();
	}
}
add_action('wp_footer', 'optionsframework_wp_footer');



/*-----------------------------------------------------------------------------------*/
/* Output CSS from standarized options */
/*-----------------------------------------------------------------------------------*/
function of_options_output_css() { 
	$autofocus_shortname = "af";

	$autofocus_text_color = of_get_option($autofocus_shortname . '_text_color');
	$autofocus_link_color = of_get_option($autofocus_shortname . '_link_color');
	$autofocus_bg_color = of_get_option($autofocus_shortname . '_bg_color');
	$autofocus_photo_color = of_get_option($autofocus_shortname . '_photo_color');
	$autofocus_title_date = of_get_option($autofocus_shortname . '_title_date');
	$autofocus_single_image_display = of_get_option($autofocus_shortname . '_image_display');
	
	?>
<style type="text/css">
/* <![CDATA[ */
	
<?php 
	// Pull Styles from Dynamic StylesSheet (Look in /css/ )
	$autofocus_css_options_output = get_template_directory() . '/css/style.options.php'; 
	if( is_file( $autofocus_css_options_output ) ) 
		require $autofocus_css_options_output;
	
?>
	
/* ]]> */
</style>
<?php }

/*-----------------------------------------------------------------------------------*/
/* Output JS from options */
/*-----------------------------------------------------------------------------------*/
function of_options_output_js() {
	$autofocus_shortname = "af";

	$autofocus_text_color = of_get_option($autofocus_shortname . '_text_color');
	$autofocus_link_color = of_get_option($autofocus_shortname . '_link_color');
	$autofocus_bg_color = of_get_option($autofocus_shortname . '_bg_color');
	$autofocus_photo_color = of_get_option($autofocus_shortname . '_photo_color');
	$autofocus_title_date = of_get_option($autofocus_shortname . '_title_date');
	$autofocus_single_image_display = of_get_option($autofocus_shortname . '_image_display');

?>
<script type="text/javascript">
/* <![CDATA[ */
<?php 
	$autofocus_js_options_output = get_template_directory() . '/js/js.options.php'; 
	if( is_file( $autofocus_js_options_output ) ) 
		require $autofocus_js_options_output; 
?>

/* ]]> */
</script>
<?php }

?>